%define			pkgname		Mail-Alias

Summary:		Module for manipulating e-mail alias files
Name:			perl-%{pkgname}
Version:		1.12
Release:		6%{?dist}

License:		Artistic or GPL
Group:			Development/Libraries
URL:			http://www.cpan.org/

Source0:		http://search.cpan.org//CPAN/authors/id/Z/ZE/ZELT/%{pkgname}-%{version}.tar.gz
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	perl
Requires:		perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module allows direct manipulation of various types of E-Mail
Alias files. The primary use of Mail::Alias is for manipulating alias
files in the SENDMAIL alias file format. Additionally it is possible
to read some other formats and to convert between various alias file
formats.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'

%check || :
%{__make} test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README Changes
%dir %{perl_vendorlib}/Mail
%{perl_vendorlib}/Mail/Alias.pm
%{_mandir}/man3/Mail::Alias.3pm*

%changelog
* Thu Aug 11 2005 Oliver Falk <oliver@linux-kernel.at>		- 1.12-6
- Fix license

* Thu Aug 11 2005 Oliver Falk <oliver@linux-kernel.at>		- 1.12-5
- Use Fedora perl specfile
- Cleanup
- Took over maintainership

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Oct  2 2003 Michael Schwendt <rh0212ms[AT]arcor.de> 0:1.12-0.fdr.3
- Vendor installation
- noarch build
- Removing some files instead of excluding them

* Fri Jul 11 2003 Dams <anvil[AT]livna.org> 0:1.12-0.fdr.2
- Changed Group tag value
- Added make test in build section
- Added missing directory

* Tue Jun 17 2003 Dams <anvil[AT]livna.org>
- Initial build.
